<template>
	<div class="login-box">
		<h3 class="mdc-typography--headline4 mdc-text-center login-header"><span class="mdc-text-danger">Light</span>Box</h3>
		<form class="mdc-box" v-on:submit="submit">
			<h3 class="mdc-typography--headline4 mdc-text-center login-title">Sign In</h3>
			<div class="mdc-form-row">
				<m-text-field outlined class="mdc-text-field-outlined-shaped" :disabled="isSaving" :class="{'mdc-text-field--invalid': isError}" v-model="form.email" v-validate="'required|email'" data-vv-name="email">
					<label class="mdc-floating-label">Email Address *</label>
				</m-text-field>
			</div>
			<div class="mdc-form-row">
				<m-text-field outlined class="mdc-text-field-outlined-shaped" type="password" v-model="form.password" :disabled="isSaving" :class="{'mdc-text-field--invalid': isError}" v-validate="'required'" data-vv-name="password">
					<label class="mdc-floating-label">Password *</label>
				</m-text-field>
			</div>
			<div class="mdc-text-field-helper-line mdc-error-summary" :class="{'mdc-has-error': isError}"  v-if="isError">
				<p class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent mdc-text-field-helper-text--validation-msg" >{{ errors.first('password') || errors.first('email') }}</p>
			</div>
			<div class="mdc-form-row">
				<div class="mdc-form-field">
					<mc-checkbox id="remember" v-model="form.remember_me" :disabled="isSaving">
					</mc-checkbox>
					<label for="remember">Remember me</label>
				</div>
			</div>
			<div class="mdc-text-center">
				<v-btn round color="primary" @click="submit" :disabled="isSaving">
					Sign In
				</v-btn>
			</div>
			<m-layout-grid>
				<m-layout-grid-inner>
					<m-layout-grid-cell :span="6">
						<router-link class="mdc-link-red" :to="{ name: 'Register' }">Create an account</router-link>
					</m-layout-grid-cell>
					<m-layout-grid-cell :span="6" class="mdc-text-center">
						<a class="mdc-link-red">Forgot password</a>
					</m-layout-grid-cell>
				</m-layout-grid-inner>
			</m-layout-grid>
			<m-linear-progress
				:open="isSaving"
				:progress="0.5"
				:buffer="0.5"
				indeterminate/>
		</form>
	</div>
</template>
<script src="./Login.js"></script>
<!--<style scoped src="./Login.scss"></style>-->
